MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001212VCMIGUI - PreGamepublic2013-02-21 06:462018-04-05 16:41
Reportero01eg 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformamd64OSGentoo LinuxOS Version
Product Version 
Target VersionFixed in Version0.next 
Summary0001212: VCMI freezes at pressing "Join" button.
DescriptionWhen I press to join multiplayer game the client goes to infinite loop and cann't be closed even with Ctrl+C.
Steps To ReproduceNew game -> Multiplayer -> Join.
TagsNo tags attached.
Attached Filestxt file icon VCMI_Client_log.txt [^] (23,000 bytes) 2013-02-21 06:46 [Show Content]

- Relationships

-  Notes
(0003406)
Tow (developer)
2013-02-27 03:16

Yeah, that should not happen. Still, MP mode is not supported.

If you look for adventure, first start one client as Host and then start another one and select Join. Then they should connect. However, expect even more bugs and issues, as you go further into this uncharted territory.
(0003588)
o01eg (reporter)
2013-05-29 08:43

At r3382 the second client get the GUI freeze after pressing Join but shows as connected at the first client that launched server.
(0007563)
SXX (administrator)
2018-04-05 16:41

Now it's possible to cancel connection to server:
https://github.com/vcmi/vcmi/pull/402 [^]

- Issue History
Date Modified Username Field Change
2013-02-21 06:46 o01eg New Issue
2013-02-21 06:46 o01eg Status new => assigned
2013-02-21 06:46 o01eg Assigned To => Tow
2013-02-21 06:46 o01eg File Added: VCMI_Client_log.txt
2013-02-27 03:16 Tow Note Added: 0003406
2013-02-27 03:16 Tow Status assigned => acknowledged
2013-05-29 08:43 o01eg Note Added: 0003588
2015-12-19 13:01 SXX Assigned To Tow => SXX
2015-12-19 13:01 SXX Status acknowledged => assigned
2018-04-05 16:41 SXX Note Added: 0007563
2018-04-05 16:41 SXX Status assigned => resolved
2018-04-05 16:41 SXX Fixed in Version => 0.next
2018-04-05 16:41 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean